Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

GetSystemSchemaKeyList

Prev Next

Available in Classic and VPC

Get information on NAVER Cloud Platform services (products) that provide performance/operational metrics for use in Cloud Insight.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /cw_fea/real/cw/api/schema/system/list

Request headers

For information about the headers common to all Cloud Insight APIs, see Cloud Insight request headers.

Request example

The request example is as follows:

curl --location --request GET 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/schema/system/list' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
cw_key String - Product key (cw_key)
prodName String - Product name

Response status codes

For response status codes common to NAVER Cloud Platform, see Cloud Insight API response status codes.

Response example

The response example is as follows:

[
    {
        "cw_key": "**********",
        "prodName": "Object Storage"
    },
    {
        "cw_key": "**********",
        "prodName": "Load Balancer Monitor(VPC)"
    },
    {
        "cw_key": "**********",
        "prodName": "Load Balancer Monitor"
    },
    {
        "cw_key": "**********",
        "prodName": "Cloud DB for MySQL(VPC)"
    },
    ...
]